Name:           nepomukshell
Version:        0.8.0
Release:        5%{?dist}
Summary:        Nepomuk maintenance and debugging tool for developers

License:        GPLv3+
URL:            https://projects.kde.org/projects/extragear/utils/nepomukshell
Source0:        http://download.kde.org/unstable/nepomuk/%{name}-%{version}.tar.bz2

BuildRequires:  kdelibs4-devel
BuildRequires:  nepomuk-core-devel

%description
Nepomuk Swiss Army Knife is a debugging and maintenance tool aimed
for Nepomuk developers.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang nepomukshell --with-kde


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/nepomukshell.desktop


%files -f nepomukshell.lang
%doc AUTHORS COPYING ChangeLog
%{_kde4_bindir}/nepomukshell
%{_kde4_datadir}/applications/kde4/nepomukshell.desktop
%{_kde4_appsdir}/nepomukshell/


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 27 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.8.0-4
- .spec cosmetics
- out-of-src build
- %%check: desktop-file-validate
- use %%find_lang
- better URL

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 23 2012 Dan Vrátil <dvratil@redhat.com> - 0.8.0-2
- Use KDE macros
- Add AUTHORS, COPYING and ChangeLog to documentation
- Fixed license and typo in summary
- Removed CMake version and "rm -rf $BUILD_ROOT"

* Mon Oct 22 2012 Dan Vrátil <dvratil@redhat.com> - 0.8.0-1
- Initial Build
